Vraag & Antwoord

OS Linux

twee rpms beide installeren

Anoniem
nefertitis
4 antwoorden
  • Wie kan mij vertellen hoe ik twee rpm bestanden beide installeer?
    Het gaat om bijvoorbeeld het bestand: libexif-0.5.9.rpm en libexif-0.5.12.rpm
    Beide hebben libraries waar andere bestanden van afhankelijk zijn. in mijn geval:
    libexif.so.8 cq. libexif.so.9. Ik probeer het met kpackage en met yast (suse), omdat ik nogal grafisch ingesteld ben. Maar de commandline schuw ik niet.
    Wie kan mij dit uitleggen?
  • Uit m 'n hoofd:[code:1:d408dd4365]sudo rpm -Uvh libexif-0.5.*.rpm[/code:1:d408dd4365]Dat is dus wel vanaf de commandline … in een directory waar biede rpm's zijn te vinden.
  • nee. dat werkt niet. dat geeft conflicten.
    Ik heb hetzelfde probleem met the gimp. Ik wil graag een nieuwere versie installeren, 1.3, maar bijvoorbeeld sane hangt aan gimp 1.2.xblabla.so oid.
    Zijn er andere oplossingen?
  • Hmm … ik heb uit m 'n hoof een tamelijk onzinnig antwoord gegeven. Tja, dan maar snel google gebruikt: "libexif.so.8 libexif.so.9 rpm" levert een aantal gevallen op van mensen die problemen hadden die waarschijnlijk lijken op jouw probleem. Zo te zien zijn er trucs om beide bibliotheken naast elkaar te gebruiken. Ik snap er niet veel van (ik gebruik libexif niet) en ga je niet nogmaals op een dwaalspoor zetten.

    Iemand anders wel een idee hoe dit (lastige?) probleem op te lossen?

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.